curl --request PATCH \
--url https://scheduler.dashsocial.com/bluesky/scheduled_posts/{post_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"approval_requests": [
{
"requested_by_user_id": 123,
"review_user_id": 123
}
],
"auto_publish": true,
"board_ids": [
1
],
"brand_id": 1,
"campaign_ids": [
1
],
"content_tag_ids": [
1
],
"creation_source": "RSS_FEED",
"duplicate_to_brand_ids": [
1
],
"media_ids": [
1
],
"post_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rss_feed_id": 123,
"rss_guid": "<string>",
"rss_publish_date": "2023-11-07T05:31:56Z",
"sort_index": 123,
"text": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://scheduler.dashsocial.com/bluesky/scheduled_posts/{post_id}"
payload = {
"approval_requests": [
{
"requested_by_user_id": 123,
"review_user_id": 123
}
],
"auto_publish": True,
"board_ids": [1],
"brand_id": 1,
"campaign_ids": [1],
"content_tag_ids": [1],
"creation_source": "RSS_FEED",
"duplicate_to_brand_ids": [1],
"media_ids": [1],
"post_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rss_feed_id": 123,
"rss_guid": "<string>",
"rss_publish_date": "2023-11-07T05:31:56Z",
"sort_index": 123,
"text": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
approval_requests: [{requested_by_user_id: 123, review_user_id: 123}],
auto_publish: true,
board_ids: [1],
brand_id: 1,
campaign_ids: [1],
content_tag_ids: [1],
creation_source: 'RSS_FEED',
duplicate_to_brand_ids: [1],
media_ids: [1],
post_group_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
rss_feed_id: 123,
rss_guid: '<string>',
rss_publish_date: '2023-11-07T05:31:56Z',
sort_index: 123,
text: '<string>',
timestamp: '2023-11-07T05:31:56Z'
})
};
fetch('https://scheduler.dashsocial.com/bluesky/scheduled_posts/{post_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"errors": {},
"message": "<string>",
"status": "<string>"
}{
"code": 123,
"errors": {},
"message": "<string>",
"status": "<string>"
}Update a Bluesky post
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the post to update
x >= 0Body
The approval policy of the approval request
APPROVAL_REQUIRED, APPROVAL_NOT_REQUIRED The list of approval requests associated with the post.
Show child attributes
Show child attributes
Whether the post should be auto published.
The list of the board ids associated with the post.
x >= 0The id of the brand to which the post belongs.
x >= 0The list of the campaign ids associated with the post.
x >= 0The list of the content tag ids associated with the post.
x >= 0To identify the user or the application that created the post.
RSS_FEED The list of duplicate to brand ids.
55x >= 0The list of the media ids attached to the post.
x >= 0The id of the post group associated with the post.
Foreign key reference to the RSS feed table.
The unique identifier coming from RSS Feed.
The timestamp of when an RSS feed item was published
The sorted index for unscheduled posts.
The current status of the post.
AUTOPUBLISHING, DRAFT, EXPIRED, FAILED, IMPORTED, MISSING_APPROVALS, PARTIALLY_FAILED, POSTED, SCHEDULED, SKIPPED, USERS_NOTIFIED Text content of the Bluesky post
The scheduled date & time for publishing the post.